## org.hibernate.envers.entities
Class EntityInstantiator

    java.lang.Object
      org.hibernate.envers.entities.EntityInstantiator

    public class EntityInstantiator

extends Object

Constructor Summary
`EntityInstantiator(AuditConfiguration verCfg, AuditReaderImplementor versionsReader)`

Method Summary
`void` `addInstancesFromVersionsEntities(String entityName, Collection addTo, List<Map> versionsEntities, Number revision)`
`Object` `createInstanceFromVersionsEntity(String entityName, Map versionsEntity, Number revision)` Creates an entity instance based on an entry from the versions table.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityInstantiator

    public EntityInstantiator(AuditConfiguration verCfg,
                              AuditReaderImplementor versionsReader)

Method Detail

### createInstanceFromVersionsEntity

    public Object createInstanceFromVersionsEntity(String entityName,
                                                   Map versionsEntity,
                                                   Number revision)

  Creates an entity instance based on an entry from the versions table.

  Parameters:
    `entityName` - Name of the entity, which instances should be read
    `versionsEntity` - An entry in the versions table, from which data should be mapped.
    `revision` - Revision at which this entity was read.
  Returns:
    An entity instance, with versioned properties set as in the versionsEntity map, and proxies created for collections.

### addInstancesFromVersionsEntities

    public void addInstancesFromVersionsEntities(String entityName,
                                                 Collection addTo,
                                                 List<Map> versionsEntities,
                                                 Number revision)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.